# Maintainer: Tizen IoT PM
# You need ACK (+1) from the maintainer to be reviewed by building-blocks maintainers.

################################
### Preset for IoT Headed  ###
################################
%package root-Preset_img_headed
Summary:    IOT Headed Images
Suggests:   %{name}-sub1-Preset_img_headed-artik530
Suggests:   %{name}-sub1-Preset_img_headed-rpi3

%description root-Preset_img_headed
__EXPAND__: preset
The IoT Headed Images.
%files root-Preset_img_headed


#############################
### IOT Headed ARTIK530 ###
#############################
%package sub1-Preset_img_headed-artik530
Summary:    IOT Headed ARTIK530 Image
Requires:   %{name}-root-Preset_iot_headed
## BSP
Requires:	%{name}-sub1-Preset_boards-ARTIK530
Requires:	%{name}-sub2-Preset_boards-ARTIK530-Audio
Requires:	%{name}-sub2-Preset_boards-ARTIK530-Audio_Recording
Requires:	alsa-utils
Requires:	capi-media-player-display
Requires:	gstreamer-utils
Requires:	pulseaudio-utils
Requires:	%{name}-sub2-Preset_boards-ARTIK530-BLE
Requires:	%{name}-sub2-Preset_boards-ARTIK530-Bluetooth
Requires:	%{name}-sub2-Preset_boards-ARTIK530-Bluetooth_CallAudio
Requires:	bluetooth-frwk-plugin-headed
Requires:	bluetooth-share
Requires:	org.tizen.bt-syspopup
Requires:	org.tizen.bt-syspopup-profile_common
Requires:	capi-network-bluetooth-test
Requires:	%{name}-sub2-Preset_boards-ARTIK530-Camera
Requires:	libmm-display
Requires:	%{name}-sub2-Preset_boards-ARTIK530-Codec
Requires:	%{name}-sub2-Preset_boards-ARTIK530-DALi
Requires:	dali-toolkit-resources_720x1280
Requires:	%{name}-sub2-Preset_boards-ARTIK530-Display
Requires:	%{name}-sub2-Preset_boards-ARTIK530-EFL
Requires:	download-fonts-service
Requires:	elementary-tools
Requires:	%{name}-sub2-Preset_boards-ARTIK530-IM
Requires:	%{name}-sub2-Preset_boards-ARTIK530-Sensor
Requires:	sensord-profile_common
Requires:	%{name}-sub2-Preset_boards-ARTIK530-System
Requires:	%{name}-sub2-Preset_boards-ARTIK530-System_Device
Requires:	%{name}-sub2-Preset_boards-ARTIK530-WifiDirect
## Partition
Requires:	%{name}-sub1-Preset_partition-3parts_ramdisk_recovery
## Feature
Requires:	%{name}-sub1-domain_Feature-Smartthings_App
Requires:	%{name}-sub1-domain_Feature-BootAni
Requires:	%{name}-sub1-domain_Feature-DotNET
Requires:	dali-csharp-binder
Requires:	%{name}-sub1-domain_Feature-Starter
Requires:	%{name}-sub1-domain_Feature-Upgrade
Requires:	%{name}-sub1-domain_Feature-WebAPI
Requires:	%{name}-sub1-domain_Feature-Setup
## building-blocks-sub1-domain_Feature-Tool_And_Locale
Requires:	crash-worker
Requires:	glibc-locale
Requires:	memps
Requires:	psmisc
Requires:	tizen-debug
Requires:	tizen-locale
## Applications
## building-blocks-sub1-feature_App-IoT_Headed_Ref
Requires:	org.tizen.setting-profile_common
Requires:	ug-bluetooth-efl
Requires:	wifi-efl-ug
Requires:	%{name}-sub2-domain_API-UI-FontConfig

#From TRE-2064
Requires:	 org.tizen.autofill-setting-mobile
#From TRE-2067
Requires:	 capi-ui-autofill-manager
#From TRE-2069
Requires:    capi-ui-autofill
Requires:    capi-ui-autofill-common
Requires:    capi-ui-autofill-service
#From TRE-2072
Requires:    autofill-config-mobile
#From TRE-2077
Requires:    elm-sharp-theme-common
#From TRE-2093, 2094
Requires:    libHarfBuzzSharp
Requires:    libSkiaSharp
#From TRE-2273
Requires:    system-servant
Requires:    system-servant-profile_common

#From TRE-1861
Requires:    mtp-responder
Requires:    lbs-server-plugin-replay
Requires:    dummyasm
#From TRE-1974
Requires:    dali-csharp-binder-profile_common
#From TRE-2076
Requires:    org.tizen.autofilld
#From TRE-2016
Requires:    wrtjs
#From TRE-2074
Requires:    initrd-flash
Requires:    fm-data-rpi3
Requires:    reboot-param-helper
#From TRE-2238
Requires:    stability-monitor-kmod-rpi3
#From TRE-2237
Requires:    stability-monitor
#From TRE-2256
Requires:    edge-orchestration
Requires:    libedge-orchestration
#From TRE-2253
Requires:    inference-engine-opencv
Requires:    inference-engine-tflite
#From TRE-2277
Requires:    askuser-notification


Conflicts:	%{name}-sub1-Preset_img_headed-rpi3
Conflicts:  %{name}-sub1-Preset_img_headless-artik530
Conflicts:  %{name}-sub1-Preset_img_headless-rpi3

%description sub1-Preset_img_headed-artik530
The packages of Tizen IoT Headed for ARTIK530.
%files sub1-Preset_img_headed-artik530

#######################
### IOT Headed RPI3 ###
#######################
%package sub1-Preset_img_headed-rpi3
Summary:    IOT Headed RPI3 Image
Requires:   %{name}-root-Preset_iot_headed
## BSP
Requires:	%{name}-sub1-Preset_boards-RPI3
Requires:	%{name}-sub2-Preset_boards-RPI3-Audio
Requires:	%{name}-sub2-Preset_boards-RPI3-Audio_Recording
Requires:	alsa-utils
Requires:	capi-media-player-display
Requires:	gst-omx
Requires:	gstreamer-utils
Requires:	libomxil-vc4
Requires:	pulseaudio-utils
Requires:	%{name}-sub2-Preset_boards-RPI3-BLE
Requires:	%{name}-sub2-Preset_boards-RPI3-Bluetooth
Requires:	%{name}-sub2-Preset_boards-RPI3-Bluetooth_CallAudio
Requires:	bluetooth-frwk-plugin-headed
Requires:	bluetooth-share
Requires:	org.tizen.bt-syspopup
Requires:	org.tizen.bt-syspopup-profile_common
Requires:	capi-network-bluetooth-test
Requires:	%{name}-sub2-Preset_boards-RPI3-Camera
Requires:	libmm-display
Requires:	%{name}-sub2-Preset_boards-RPI3-Codec
Requires:	%{name}-sub2-Preset_boards-RPI3-DALi
Requires:	dali-toolkit-resources_720x1280
Requires:	%{name}-sub2-Preset_boards-RPI3-Display
Requires:	%{name}-sub2-Preset_boards-RPI3-EFL
Requires:	download-fonts-service
Requires:	elementary-tools
Requires:	%{name}-sub2-Preset_boards-RPI3-IM
Requires:	%{name}-sub2-Preset_boards-RPI3-Sensor
Requires:	sensord-profile_common
Requires:	%{name}-sub2-Preset_boards-RPI3-System
Requires:	%{name}-sub2-Preset_boards-RPI3-System_Device
Requires:	%{name}-sub2-Preset_boards-RPI3-WifiDirect
## Partition
Requires:	%{name}-sub1-Preset_partition-3parts_ramdisk_recovery
## Feature
Requires:	%{name}-sub1-domain_Feature-Smartthings_App
Requires:	%{name}-sub1-domain_Feature-BootAni
Requires:	%{name}-sub1-domain_Feature-DotNET
Requires:	dali-csharp-binder
Requires:	%{name}-sub1-domain_Feature-Starter
Requires:	%{name}-sub1-domain_Feature-Upgrade
Requires:	%{name}-sub1-domain_Feature-Recovery
Requires:	%{name}-sub1-domain_Feature-WebAPI
Requires:	%{name}-sub1-domain_Feature-Setup
## building-blocks-sub1-domain_Feature-Tool_And_Locale
Requires:	crash-worker
Requires:	glibc-locale
Requires:	memps
Requires:	psmisc
Requires:	tizen-debug
Requires:	tizen-locale
## Applications
## building-blocks-sub1-feature_App-IoT_Headed_Ref
Requires:	org.tizen.setting-profile_common
Requires:	ug-bluetooth-efl
Requires:	wifi-efl-ug
Requires:	%{name}-sub2-domain_API-UI-FontConfig

#From TRE-2064
Requires:	 org.tizen.autofill-setting-mobile
#From TRE-2067
Requires:	 capi-ui-autofill-manager
#From TRE-2069
Requires:    capi-ui-autofill
Requires:    capi-ui-autofill-common
Requires:    capi-ui-autofill-service
#From TRE-2072
Requires:    autofill-config-mobile
#From TRE-2077
Requires:    elm-sharp-theme-common
#From TRE-2093, 2094
Requires:    libHarfBuzzSharp
Requires:    libSkiaSharp
#From TRE-2273
Requires:    system-servant
Requires:    system-servant-profile_common

#From TRE-1861
Requires:    mtp-responder
Requires:    lbs-server-plugin-replay
Requires:    dummyasm
#From TRE-1974
Requires:    dali-csharp-binder-profile_common
#From TRE-2076
Requires:    org.tizen.autofilld
#From TRE-2016
Requires:    wrtjs
#From TRE-2074
Requires:    initrd-flash
Requires:    fm-data-rpi3
Requires:    reboot-param-helper
#From TRE-2238
Requires:    stability-monitor-kmod-rpi3
#From TRE-2237
Requires:    stability-monitor
#From TRE-2256
Requires:    edge-orchestration
Requires:    libedge-orchestration
#From TRE-2253
Requires:    inference-engine-opencv
Requires:    inference-engine-tflite
#From TRE-2277
Requires:    askuser-notification

Conflicts:	%{name}-sub1-Preset_img_headed-artik530
Conflicts:  %{name}-sub1-Preset_img_headless-artik530
Conflicts:  %{name}-sub1-Preset_img_headless-rpi3

%description sub1-Preset_img_headed-rpi3
The packages of Tizen IoT Headed for RPI3.
%files sub1-Preset_img_headed-rpi3
